
/* стили обёртки заведения */
.cmp__company { border-radius: 3px; box-shadow: inset 0 -1px 0 0 rgba(0,0,0,0.05); background: #fff; position: relative; height: 232px; margin: 0 auto 19px auto; font: 0/0 a; text-decoration: none; color: #000; display: block; cursor: pointer; }
.html--amfoodie .cmp__company { height: 133px; }

.cmp__company--pin { box-shadow: inset 0 0 0 2px #FFDA00; }
.cmp__company:last-child { margin-bottom: 0; }
.cmp__company-info { padding: 18px 16px 67px 0; margin: 0 0 0 260px; max-height: 232px; position: relative; }


/* стили фотографий */
.cmp__photo { width: 241px; position: absolute; left: 0; top: 0; bottom: 0; cursor: pointer; border-radius: 2px 0 0 2px; }
.cmp__photo--with-preview { background: #fff no-repeat 50% 50% / cover; }
.html--amfoodie .cmp__photo--with-preview { background-size: contain; }
.cmp__photo--no-preview { background: url(i/company/empty.svg) no-repeat 50% 50%; }
.cmp__photo--logo { background-size: 90% auto; background-position: 50% 13px; }





/* название заведения */
.cmp__name { font: 600 22px/20px geometria, arial; margin: 0 0 4px 0; padding: 0 250px 0 0; -webkit-box-orient: vertical; display: -webkit-box; overflow: hidden; -webkit-line-clamp: 2; max-height: 52px; }


/* звёзды рейтинга */
.cmp__star { width: 105px; height: 21px; background: url(i/company/star.svg) no-repeat; position: absolute; top: 15px; right: 127px; margin: 0 22px 20px 0; }
.cmp__star:after { font: 400 15px/19px geometria, arial; color: #838383; content: attr(data-full); display: block; text-align: center; margin: 25px 0 0 0; }
.cmp__star--0 { background-position: -105px 0; }
.cmp__star--1 { background-position: -84px 0; }
.cmp__star--2 { background-position: -63px 0; }
.cmp__star--3 { background-position: -42px 0; }
.cmp__star--4 { background-position: -21px 0; }
.cmp__star--5 { background-position: 0 0; }


/* средний чек */
.cmp__receipt { width: 100px; height: 20px; background: url(i/company/$.svg); position: absolute; top: 16px; right: 14px; }
.cmp__receipt:after { display: none; font: 300 15px/19px geometria, arial; color: #838383; content: attr(data-full); text-align: center; margin: 24px 0 0 0; }
.cmp__receipt--0 { background-position: -100px 0; display: none; }
.cmp__receipt--1 { background-position: -79px 0; }
.cmp__receipt--2 { background-position: -59px 0; }
.cmp__receipt--3 { background-position: -39px 0; }
.cmp__receipt--4 { background-position: -19px 0; }
.cmp__receipt--5 { background-position: 0 0; }


/* тип заведения */
.cmp__type { font: 400 15px/19px geometria, arial; margin: 0 0 11px 0; }
.cmp__badge { display: inline-block; font-weight: 600; background: #21BA3B; margin: 2px 10px 0 0; position: relative; top: -1px; padding: 0 7px; border-radius: 2px; color: #fff; }


/* блок с блюдами */
.cmp__dishes { margin: 0 0 10px 0; }
.cmp__dish { font: 400 15px/31px geometria, arial; position: relative; padding: 0 185px 0 0; border-bottom: 1px solid #eee; }
.cmp__dish:first-child { border-top: 1px solid #eee; }
.cmp__dish-name { overflow: hidden; text-overflow: ellipsis; white-space: nowrap; }
.cmp__dish-price { position: absolute; right: 9px; top: 0; line-height: 30px; }


/* бронирование */
.cmp__book-wrap { position: absolute;
    left: 0;
    border-radius: 0 0 2px 0;
    right: 2px;
    bottom: 2px;
    background: #fff;
    height: 68px;
    padding: 12px 0 0 0; }
.cmp__book-wrap:after { content: attr(data-text); font: 400 13px/17px geometria, arial; color: var(--reservation-caption-color); position: absolute; margin: -27px 0 0 187px; }
.cmp__book-border { width: 168px; background: var(--reservation-border-bg); padding: 2px; border-radius: 5px; }
.cmp__book { width: 164px; height: 36px; border: none; background: var(--reservation-button-bg); padding: 0; border-radius: 5px; font: 700 16px/38px geometria, arial; color: #fff; letter-spacing: -0.06px; cursor: pointer; }
.cmp__book--fast > .cmp__book-border { background: linear-gradient(45deg, #FF7F00, #FF4700); position: relative; }
.cmp__book--fast > .cmp__book-border:after { content: ''; width: 22px; height: 22px; border-radius: 50%; position: absolute; top: -8px; right: -8px; background:  no-repeat 50%; background-image: url(i/company/lightning.svg), linear-gradient(to right, #FF3B00, #FF6300); }
.cmp__book--fast .cmp__book, .cmp__book--instant .cmp__book { height: 38px; line-height: 38px; }
.cmp__book--instant > .cmp__book-border { background: linear-gradient(45deg, #4D00FF, #6D00FF); position: relative; }
.cmp__book--instant > .cmp__book-border:after { content: ''; width: 22px; height: 22px; border-radius: 50%; position: absolute; top: -8px; right: -8px; background:  no-repeat 50%; background-image: url(i/company/lightning.svg), linear-gradient(to right, #5E00FF, #8600FF); }






















